#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf5-libkscreen
Version		:	5.27.7
Release		:	17.2.0.rel%{?dist}
Summary		:	Display configuration library
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/plasma/


Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	kf5-kwayland-devel
BuildRequires	:	kf5-kconfig-devel
BuildRequires	:	qt5-rpm-macros
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qt5-qtx11extras-devel
BuildRequires	:	qt5-qtwayland-devel
BuildRequires	:	plasma-wayland-protocols-devel

#-----------------------------------------------------------------------------
%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

#-----------------------------------------------------------------------------
%files			-f %{sname}5_qt.lang
%defattr(-,root,root,-)
%doc README.md
%license LICENSES/*
%{_kf5_libdir}/libKF5Screen.so.5.*
%{_kf5_libdir}/libKF5Screen.so.8*
%{_kf5_libdir}/libKF5ScreenDpms.so.5.*
%{_kf5_libdir}/libKF5ScreenDpms.so.8*
%{_kf5_plugindir}/kscreen/
%{_kf5_datadir}/qlogging-categories5/libkscreen.categories
%{_kf5_bindir}/kscreen-doctor
%{_kf5_libexecdir}/kscreen_backend_launcher
%{_datadir}/dbus-1/services/org.kde.kscreen.service
%{_kf5_datadir}/zsh/site-functions/_kscreen-doctor
%{_kf5_libdir}/systemd/user/plasma-kscreen.service

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf5_includedir}/KScreen/
%{_kf5_includedir}/kscreen_version.h
%{_kf5_libdir}/libKF5Screen.so
%{_kf5_libdir}/libKF5ScreenDpms.so
%{_kf5_libdir}/cmake/KF5Screen/
%{_libdir}/pkgconfig/kscreen2.pc
%{_kf5_archdatadir}/mkspecs/modules/qt_KScreen.pri

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
	--install						\
	_bld

%find_lang_kf5 %{sname}5_qt
#-----------------------------------------------------------------------------
%changelog
